/*******************************************************************************
 * FoxDamageType_HulkGroundPound generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxDamageType_HulkGroundPound extends FoxDamageType;

var float StunStrength;

static function ApplyEffect(FoxPawn VictimPawn, out int DamageAmount, optional Controller ControllerInstigator)
{
    super.ApplyEffect(VictimPawn, DamageAmount, ControllerInstigator);
    // End:0xA8
    if((ControllerInstigator == none) || ControllerInstigator.GetTeamNum() != VictimPawn.GetTeamNum())
    {
        VictimPawn.NotifyStunned(default.StunStrength, false, false);
    }
    //return;    
}

static function float GetPawnDamageReduction(FoxPawn VictimPawn)
{
    // End:0x2E
    if(VictimPawn != none)
    {
        return VictimPawn.MeleeProtection;
    }
    return 1.0;
    //return ReturnValue;    
}

defaultproperties
{
    StunStrength=2.0
    bIgnoreDamageMultipliers=true
    bDamageFriendlies=true
    BodyHitType=EHitType.EHT_Melee
    HardSuitHitType=EHitType.EHT_HardSuitMelee
    HardSuitWPHitType=EHitType.EHT_HardSuitMeleeWP
    bSuppressDeathMessage=false
    bAwardNoPoints=false
    VehicleDamageScaling=2.0
    DamagedFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_HulkGroundPound.ForceFeedbackWaveformDamage'
    KilledFFWaveform=ForceFeedbackWaveform'Default__FoxDamageType_HulkGroundPound.ForceFeedbackWaveformDeath'
}